Trackers per Role

2009-08-10 18:14 - Felipe Campo

Status: Closed Start date: 2009-08-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I wonder if its possible to add a restriction per  role , so a role only can see only the issues of a list of assigned trackers.

I propose this because, some of the trackers that we modeled are for internal usage and our should not see the information

registered there.

I propose a list of features as showed in the permission reports but for the trackers. And then default behavios should be show all

trackers

Related issues:

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

Related to Redmine - Feature #2467: To control the permissions of users again... New 2009-01-08

Related to Redmine - Feature #12646: issue relation access managment per trac... New

Related to Redmine - Feature #7839: Limit trackers for new issue to certain r... Closed 2011-03-11

Is duplicate of Redmine - Feature #285: Tracker role-based permissioning Closed

History

#1 - 2009-08-10 18:51 - Nanda P

- File RedMine_WorkFlow.jpg added

- File RedMine_WorkFlow1.jpg added

Hi Felipe,

It is possible through "Administration -> Workflow"

 RedMine_WorkFlow.jpg 

Select required trackers for a role.

 RedMine_WorkFlow1.jpg 

HTH

Regards

Nanda

#2 - 2009-08-26 07:42 - Paul Macdonnell

Hi,

I would like to see this as well.

We have several Trackers and several Roles

Roles:

Manager

Developer

Technical

Project Manager

Tracker:

Feature

Bug

Incident

Support

I'd like it so only Technical roles can see issues in the Incident and Support Tracker.

Likewise the other roles can only see the Feature and Bug Trackers.

2025-07-11 1/5



This is more than just being able to modify the status of an issue in a workflow (which is what you can currently do), this is allowing roles to see issues

assigned to various Trackers or not.

The visibility table would look something like this then:

Tracker and issue visibility

Role Feature Bug Incident Support

Manager Y Y N N

Developer Y Y N N

Technical N N Y Y

Project Manager Y Y N N

If a role doesn't have permission to view a Tracker, they are unable to see any issues that have been assigned to that Tracker.

Cheers,

Paul

#3 - 2009-09-01 19:06 - Maxim Krušina

+1

#4 - 2010-04-28 03:28 - Michael Sanders

If you take a look at the originally written issue, I'm fairly certain that the actual request is to make it so that you define which Roles have which

Trackers available for them to initially report issues on.

So, for instance, you would be able to control it so that the public can not put in a Task, as opposed to Suggesting a feature.

If that is the case, this issue is a duplicate of 2647

This is highly crucial and a basic-functionality request that is pivotal to my group's projects (we run 7 projects using Redmine.)

I highly recommend that an extra row is made in the Workflow menu of the Project Settings designated "Initial Creation" or something similar. This

would be a mandatory field, that all projects have and cannot be deleted. The purpose would be to effectively describe "The user should have the

permission to bring it from "Initial Creation" to "New" or whatever your Default Issue may be. Some people may see fit to allow people the access to

submit to a tracker, only allowing a certain status for a specific role.

Obviously, if all of the checkboxes in Workflow were unchecked, someone of that Role would not be able to Create an issue.

++1

#5 - 2010-12-31 21:11 - Chad Heuschober

+1 one here.

We'd like to use a special tracker for our user stories so we can relate feature tracker issues back to their originating user stories, however, the user

story owners are too nontechnical to be given free reign with the full issue tracker and have a hard time understanding how and where their requests

go. Restricting them to just the one tracker would be best for us.

This issue has quite a few duplicates too. Please see:

Issue #285

Issue #1462

Issue #2791

Issue #2240

#6 - 2011-03-14 11:01 - Crowella Spreva Farning

yes please work on this ... a lot of us here wanting this feature

#7 - 2011-03-21 21:21 - Lorand David

+1

#8 - 2011-04-18 17:33 - Matt Wheaton

+1

#9 - 2011-04-18 18:09 - Etienne Massip

- Category set to Permissions and roles
http://www.redmine.org/issues/2467
https://www.redmine.org/issues/285
https://www.redmine.org/issues/1462
https://www.redmine.org/issues/2791
https://www.redmine.org/issues/2240


#10 - 2011-06-09 08:56 - Stéphane David

+1. At least make it so that some trackers can be set as not visible at all for a given role (cannot be created, and won't appear at all).

At the moment, it seems the only option is to create several subprojects with different trackers, but it's not really convenient

#11 - 2011-06-29 09:46 - chris -

+1

#12 - 2011-06-29 16:02 - Terence Mill

covered by #8050, which goes beyond and enabled to set field visbility dependent of tracker and worflow status.

#13 - 2011-08-17 11:02 - Julien Breux

+1

#14 - 2013-03-22 17:24 - Thomas Lmx

+1

#15 - 2013-03-22 21:46 - Terence Mill

related to #12646

#16 - 2013-04-12 15:45 - Gilles  DENAT

+1

#17 - 2013-10-03 18:25 - Mathias Van de Broeck

+1

Would be an improvement !

#18 - 2013-10-22 11:35 - Lázaro Hermoso

+1

Definitely and improvement!

Maybe it could be implemented by adding more functionality in 'Issues visibility' within Roles and Permissions Administration Menu.

!Issues Visibility.JPG!

When selecting a Role you can select Issues Visibility between:

1. All issues

2. All non private issues

3. Issues created by or assigned to the user

4. In my opinion a solution could be to add here the functionality of selecting the trackers that each role can view

In #8488 it was achieved to let watchers view issues eventhough their permission was set to 'issues created by or assigned to the user'. This is

somehow a solution but it would be annoying to add users as watchers to every single issue.

I am sorry that I am not a developer and I cannot help with the code... :(

#19 - 2013-11-30 08:40 - Toshi MARUYAMA

- Related to Feature #7839: Limit trackers for new issue to certain roles added

#20 - 2014-01-28 17:06 - Maxim Krušina

+1  again (just found my 4 years odl vote :)

this will be really great for client support, so we can create tracker directly in each project. Now we have to use separate project structure for client

support.

#21 - 2014-05-04 19:32 - Andy Puettmann

There is sort of a workaround for this

I created a custom field type 'list' shown as 'checkbox' and made it required.

When assigning this field to only a single tracker 'project 3, bugs' I can have detailed 'create issue' permissions by making this field 'read-only' for all

except the desired group.

(Field set to be visible only to 'permitted' groups)

This is not beautiful, but locks at least a few create issue and transition permissions.
https://www.redmine.org/issues/8050
- Andy

#22 - 2015-05-21 17:18 - Alessandro Lanza

+1

Ale

#23 - 2015-07-02 06:34 - Alex Petty

+1

This is very much needed! (Does anyone have happen to have a 3.0.x compatible patch for this?)

Hopefully Jean-Phillipe Lang (and his core team) will recognize the importance of this feature and add it to Redmine's next version.

The end-to-end for how I envision this working is:

(1) Administrator creates a role (let's call it role A)

(2) Administrator assigns a user (or group) role A.

(3) Through the implementation of this feature, the administrator will be able to define which tracker-types that role A is capable of creating (so long as

role A has been assigned the "add issue" permission)

(4) When the user possessing role A (and also having the "add issue" permission) clicks the "New Issue" tab, the user will see only those trackers

which were defined as "can create this tracker" to role A.

(5) If the user has multiple roles with "can create this tracker" defined, each having their own set of permissible trackers, the user will be able to create

the super-set of all trackers from all assigned roles.

This would truly be a GREAT and VALUABLE feature for Redmine's overall flexibility in configuration, and would be hugely appreciate by many!!

+1000

-Alex Petty

#24 - 2015-10-02 14:36 - budo kaiman

+1

It would be great to have two options for this

1. Permission to create issue of tracker

2. Permission to view issues of tracker

The first one is really the most necessary, the second would be nice as it would prevent a complicated system of private issues as a workaround.

#25 - 2015-10-21 02:05 - Alexander Lapshin

This feature very much needed!

+1

#26 - 2015-10-22 22:59 - Kamil Franckiewicz

+1

#27 - 2015-10-30 14:32 - alexandr al

+1

#28 - 2015-11-09 16:54 - Anton Titkov

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

#29 - 2015-11-11 15:13 - Anton Titkov

Anton Titkov wrote:

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

 Hello guys!

Has enybody tested the plugin?

It allows to hide issues under selected tracker for roles/users within a project. It solves the subject partly as i see.

It would be nice to get some feeback from you!

Thanks!

#30 - 2015-11-13 10:24 - alexandr al
http://www.redmine.org/plugins/tracker_hider
http://www.redmine.org/plugins/tracker_hider does not solve the problem

+1

#31 - 2015-11-13 14:20 - Anton Titkov

alexandr al wrote:

http://www.redmine.org/plugins/tracker_hider does not solve the problem

 I agree that the plugin doesn't solve the subject problem exactly by prescribed way, but you can hide trackers and get desired behavior despite in

another way.

I have the feedback that it is really desirable to restrict an issue creation in a certain tracker depending on role 

https://github.com/atlascoder/tracker_hider/issues/1 . At this topic i also see that this feature is valued.

I agree and it will be implemented.

But i wonder if it is really needed to manage such restictions on the adminitration level? I think it is better to manage at the projec level, isn't it?

Thanks!

#32 - 2016-06-06 12:42 - Jean-Philippe Lang

- Status changed from New to Closed

3.3.0 will support tracker based permissions for issue tracking. You will be able to limit the trackers for which a role is allowed to view, create, edit or

delete issues.
